gnutls_x509_trust_list_remove_trust_mem(3)

NAME
gnutls_x509_trust_list_remove_trust_mem - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_remove_trust_mem(gnutls_x509_trust_list_t list, const gnutls_datum_t * cas, gnutls_x509_crt_fmt_t type);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

const gnutls_datum_t * cas
    A buffer containing a list of CAs (optional)

gnutls_x509_crt_fmt_t type
    The format of the certificates

DESCRIPTION
This function will remove the provided certificate authorities from the trusted list, and add them into a block list when needed. See also gnutls_x509_trust_list_remove_cas().

RETURNS
The number of removed elements is returned.

SINCE
3.1.10

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/